MWAWPageSpan Class Reference

A class which defines the page properties. More...

`#include <MWAWPageSpan.hxx>`

## Public Types

enum | FormOrientation { PORTRAIT , LANDSCAPE }
| the page orientation More...
enum | PageNumberPosition { None = 0 , TopLeft , TopCenter , TopRight , BottomLeft , BottomCenter , BottomRight }
| a fixed page number position More...

## Public Member Functions

| MWAWPageSpan ()
| constructor
| MWAWPageSpan (MWAWPageSpan const &)=default
MWAWPageSpan & | operator= (MWAWPageSpan const &)=default
MWAWPageSpan & | operator= (MWAWPageSpan &&)=default
| ~MWAWPageSpan ()
| destructor
double | getFormLength () const
| returns the page length
double | getFormWidth () const
| returns the page width
FormOrientation | getFormOrientation () const
| returns the page orientation
double | getMarginLeft () const
| returns the left margin
double | getMarginRight () const
| returns the right margin
double | getMarginTop () const
| returns the top margin
double | getMarginBottom () const
| returns the bottom margin
double | getPageLength () const
| returns the page length (form width without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWColor | backgroundColor () const
| returns the background color
int | getPageNumber () const
int | getPageSpan () const
void | setHeaderFooter (MWAWHeaderFooter const &headerFooter)
| add a header/footer on some page
void | setFormLength (const double formLength)
| set the total page length
void | setFormWidth (const double formWidth)
| set the total page width
void | setFormOrientation (const FormOrientation formOrientation)
| set the form orientation
void | setMarginLeft (const double marginLeft)
| set the page left margin
void | setMarginRight (const double marginRight)
| set the page right margin
void | setMarginTop (const double marginTop)
| set the page top margin
void | setMarginBottom (const double marginBottom)
| set the page bottom margin
void | setMargins (double margin, int wh=libmwaw::LeftBit|libmwaw::RightBit|libmwaw::TopBit|libmwaw::BottomBit)
| set all the margins
void | checkMargins ()
| check if the page margins are consistent with the page dimension, if not update them
void | setPageName (librevenge::RVNGString const &name)
| set the page name
bool | hasPageName () const
| return true if the page has a name
librevenge::RVNGString const & | getPageName () const
| return the page name
void | setMasterPageName (librevenge::RVNGString const &name)
| set the page master name
bool | hasMasterPageName () const
| return true if the masterPage has a name
librevenge::RVNGString const & | getMasterPageName () const
| return the page master name
void | setBackgroundColor (MWAWColor color=MWAWColor::white())
| set the background color
void | setPageNumber (const int pageNumber)
| set the page number
void | setPageSpan (const int pageSpan)
| set the page span ( default 1)
bool | operator== (std::shared_ptr< MWAWPageSpan > const &pageSpan) const
| operator==
bool | operator!= (std::shared_ptr< MWAWPageSpan > const &pageSpan) const
| operator!=
void | getPageProperty (librevenge::RVNGPropertyList &pList, bool isPresentation=false) const
| add the page properties in pList
void | sendHeaderFooters (MWAWListener *listener) const
| send the page's headers/footers if some exists
void | sendHeaderFooters (MWAWListener *listener, MWAWHeaderFooter::Occurrence occurrence) const
| send the page's headers/footers corresponding to an occurrence if some exists

## Protected Member Functions

int | getHeaderFooterPosition (MWAWHeaderFooter::Type type, MWAWHeaderFooter::Occurrence occurrence)
| return the header footer positions in m_headerFooterList
void | removeHeaderFooter (MWAWHeaderFooter::Type type, MWAWHeaderFooter::Occurrence occurrence)
| remove a header footer
bool | containsHeaderFooter (MWAWHeaderFooter::Type type, MWAWHeaderFooter::Occurrence occurrence)
| return true if we have a header footer in this position

## Private Attributes

double | m_formLength
| the form length
double | m_formWidth
| the form width
double | m_margins [4]
| the margins: libmwaw::Left, ...
librevenge::RVNGString | m_name
| the page name
librevenge::RVNGString | m_masterName
| the page master name
FormOrientation | m_formOrientation
| the form orientation
MWAWColor | m_backgroundColor
| the page background color: default white
std::vector< MWAWHeaderFooter > | m_headerFooterList
| the list of header
int | m_pageNumber
| the page number ( or -1)
int | m_pageSpan
| the number of page

## Detailed Description

A class which defines the page properties.

## Member Enumeration Documentation

## FormOrientation

enum MWAWPageSpan::FormOrientation

the page orientation

Enumerator
PORTRAIT |
LANDSCAPE |

## PageNumberPosition

enum MWAWPageSpan::PageNumberPosition

a fixed page number position

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
BottomLeft |
BottomCenter |
BottomRight |

## Constructor & Destructor Documentation

## MWAWPageSpan() [1/2]

MWAWPageSpan::MWAWPageSpan | ( |  | ) |

constructor

Referenced by MWAWPageSpan(), MWAWPageSpan(), operator=(), and operator=().

## MWAWPageSpan() [2/2]

MWAWPageSpan::MWAWPageSpan | ( | MWAWPageSpan const & |  | ) |

default

## ~MWAWPageSpan()

MWAWPageSpan::~MWAWPageSpan | ( |  | ) |

destructor

## Member Function Documentation

## backgroundColor()

MWAWColor MWAWPageSpan::backgroundColor | ( |  | ) | const

inline

returns the background color

Referenced by operator==().

## checkMargins()

void MWAWPageSpan::checkMargins | ( |  | ) |

check if the page margins are consistent with the page dimension, if not update them

Referenced by MarinerWrtParser::readPrintInfo().

## containsHeaderFooter()

bool MWAWPageSpan::containsHeaderFooter | ( | MWAWHeaderFooter::Type | type,
|  | MWAWHeaderFooter::Occurrence | occurrence )

protected

return true if we have a header footer in this position

Referenced by setHeaderFooter().

## getFormLength()

double MWAWPageSpan::getFormLength | ( |  | ) | const

inline

returns the page length

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), getPageProperty(), MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertFooter(), MWAWGraphicListener::openMasterPage(), MWAWPresentationListener::openMasterPage(), and BeagleWksStructManager::readDocumentInfo().

## getFormOrientation()

FormOrientation MWAWPageSpan::getFormOrientation | ( |  | ) | const

inline

returns the page orientation

Referenced by getPageProperty().

## getFormWidth()

double MWAWPageSpan::getFormWidth | ( |  | ) | const

inline

returns the page width

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), getPageProperty(), MWAWGraphicListener::openMasterPage(), MWAWPresentationListener::openMasterPage(), and BeagleWksStructManager::readDocumentInfo().

## getHeaderFooterPosition()

int MWAWPageSpan::getHeaderFooterPosition | ( | MWAWHeaderFooter::Type | type,
|  | MWAWHeaderFooter::Occurrence | occurrence )

protected

return the header footer positions in m_headerFooterList

Referenced by containsHeaderFooter(), removeHeaderFooter(), and setHeaderFooter().

## getMarginBottom()

double MWAWPageSpan::getMarginBottom | ( |  | ) | const

inline

returns the bottom margin

Referenced by ClarisWksDocument::getFinalPageSpan(), getPageProperty(), and operator==().

## getMarginLeft()

double MWAWPageSpan::getMarginLeft | ( |  | ) | const

inline

returns the left margin

Referenced by getPageProperty(), WriterPlsParser::getParagraph(), CorelPainterParser::getZonePosition(), operator==(), ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), and GreatWksBMParser::sendPicture().

## getMarginRight()

double MWAWPageSpan::getMarginRight | ( |  | ) | const

inline

returns the right margin

Referenced by ClarisWksDocument::getFinalPageSpan(), getPageProperty(), CorelPainterParser::getZonePosition(), operator==(), ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), and GreatWksBMParser::sendPicture().

## getMarginTop()

double MWAWPageSpan::getMarginTop | ( |  | ) | const

inline

returns the top margin

Referenced by getPageProperty(), and operator==().

## getMasterPageName()

librevenge::RVNGString const & MWAWPageSpan::getMasterPageName | ( |  | ) | const

inline

return the page master name

Referenced by getPageProperty(), and operator==().

## getPageLength()

double MWAWPageSpan::getPageLength | ( |  | ) | const

inline

returns the page length (form width without margin )

Referenced by WriterPlsParser::getTextHeight(), ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), and GreatWksBMParser::sendPicture().

## getPageName()

librevenge::RVNGString const & MWAWPageSpan::getPageName | ( |  | ) | const

inline

return the page name

Referenced by getPageProperty(), and operator==().

## getPageNumber()

int MWAWPageSpan::getPageNumber | ( |  | ) | const

inline

Referenced by operator==().

## getPageProperty()

void MWAWPageSpan::getPageProperty | ( | librevenge::RVNGPropertyList & | pList,
|  | bool | isPresentation = false ) const

add the page properties in pList

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), MWAWSpreadsheetListener::_openPageSpan(), MWAWTextListener::_openPageSpan(), MWAWGraphicListener::openMasterPage(), and MWAWPresentationListener::openMasterPage().

## getPageSpan()

int MWAWPageSpan::getPageSpan | ( |  | ) | const

inline

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), MWAWSpreadsheetListener::_openPageSpan(), MWAWTextListener::_openPageSpan(), MacWrtParser::createDocument(), MacWrtProParser::createDocument(), MarinerWrtParser::createDocument(), and getPageProperty().

## getPageWidth()

double MWAWPageSpan::getPageWidth | ( |  | ) | const

inline

returns the page width (form width without margin )

Referenced by ClarisWksBMParser::parse(), BeagleWksBMParser::sendBitmap(), MacPaintParser::sendBitmap(), PixelPaintParser::sendBitmap(), SuperPaintParser::sendBitmap(), MouseWrtParser::sendMainZone(), ScriptWriterParser::sendMainZone(), and GreatWksBMParser::sendPicture().

## hasMasterPageName()

bool MWAWPageSpan::hasMasterPageName | ( |  | ) | const

inline

return true if the masterPage has a name

Referenced by getPageProperty().

## hasPageName()

bool MWAWPageSpan::hasPageName | ( |  | ) | const

inline

return true if the page has a name

Referenced by getPageProperty().

## operator!=()

bool MWAWPageSpan::operator!= | ( | std::shared_ptr< MWAWPageSpan > const & | pageSpan | ) | const

inline

operator!=

## operator=() [1/2]

MWAWPageSpan & MWAWPageSpan::operator= | ( | MWAWPageSpan && |  | ) |

default

## operator=() [2/2]

MWAWPageSpan & MWAWPageSpan::operator= | ( | MWAWPageSpan const & |  | ) |

default

## operator==()

bool MWAWPageSpan::operator== | ( | std::shared_ptr< MWAWPageSpan > const & | pageSpan | ) | const

operator==

Referenced by operator!=().

## removeHeaderFooter()

void MWAWPageSpan::removeHeaderFooter | ( | MWAWHeaderFooter::Type | type,
|  | MWAWHeaderFooter::Occurrence | occurrence )

protected

remove a header footer

Referenced by setHeaderFooter().

## sendHeaderFooters() [1/2]

void MWAWPageSpan::sendHeaderFooters | ( | MWAWListener * | listener | ) | const

send the page's headers/footers if some exists

Referenced by MWAWGraphicListener::_openPageSpan(), MWAWPresentationListener::_openPageSpan(), MWAWSpreadsheetListener::_openPageSpan(), and MWAWTextListener::_openPageSpan().

## sendHeaderFooters() [2/2]

void MWAWPageSpan::sendHeaderFooters | ( | MWAWListener * | listener,
|  | MWAWHeaderFooter::Occurrence | occurrence ) const

send the page's headers/footers corresponding to an occurrence if some exists

## setBackgroundColor()

void MWAWPageSpan::setBackgroundColor | ( | MWAWColor | color = MWAWColor::white() | ) |

inline

set the background color

Referenced by MarinerWrtParser::createDocument(), MoreParser::createDocument(), PowerPoint1Parser::createDocument(), PowerPoint3Parser::createDocument(), StyleParser::createDocument(), and DocMkrText::updatePageSpanList().

## setFormLength()

void MWAWPageSpan::setFormLength | ( | const double | formLength | ) |

inline

set the total page length

Referenced by FreeHandParser::checkHeader(), MacDrawProParser::computeLayersAndLibrariesBoundingBox(), ApplePictParser::createDocument(), Canvas5BMParser::createDocument(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), CorelPainterParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), SpringBoardParser::createDocument(), MacDocParser::createZones(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), PowerPoint7Parser::readDocAtom(), ClarisDrawParser::readDocHeader(), MacDraft5Parser::readDocHeader(), MacDraftParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), MsWrd1Parser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), MoreParser::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), EDocParser::readInfo(), NisusWrtParser::readPageLimit(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), MsWks4Zone::readPRNT(), and Canvas5Parser::readSlides().

## setFormOrientation()

void MWAWPageSpan::setFormOrientation | ( | const FormOrientation | formOrientation | ) |

inline

set the form orientation

Referenced by FreeHandParser::checkHeader(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), NisusWrtParser::readPageLimit(), MsWrdParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## setFormWidth()

void MWAWPageSpan::setFormWidth | ( | const double | formWidth | ) |

inline

set the total page width

Referenced by FreeHandParser::checkHeader(), MacDrawProParser::computeLayersAndLibrariesBoundingBox(), ApplePictParser::createDocument(), Canvas5BMParser::createDocument(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), CorelPainterParser::createDocument(), DrawTableParser::createDocument(), ScoopParser::createDocument(), SpringBoardParser::createDocument(), MacDocParser::createZones(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), PowerPoint7Parser::readDocAtom(), ClarisDrawParser::readDocHeader(), MacDraft5Parser::readDocHeader(), MacDraftParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), MsWrd1Parser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), MoreParser::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), EDocParser::readInfo(), NisusWrtParser::readPageLimit(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), MsWks4Zone::readPRNT(), and Canvas5Parser::readSlides().

## setHeaderFooter()

void MWAWPageSpan::setHeaderFooter | ( | MWAWHeaderFooter const & | headerFooter | ) |

add a header/footer on some page

Referenced by ActaParser::createDocument(), BeagleWksDBParser::createDocument(), BeagleWksParser::createDocument(), BeagleWksSSParser::createDocument(), FullWrtParser::createDocument(), GreatWksDBParser::createDocument(), GreatWksParser::createDocument(), GreatWksSSParser::createDocument(), HanMacWrdJParser::createDocument(), HanMacWrdKParser::createDocument(), JazzWriterParser::createDocument(), LightWayTxtParser::createDocument(), MacWrtParser::createDocument(), MarinerWrtParser::createDocument(), MindWrtParser::createDocument(), MoreParser::createDocument(), MouseWrtParser::createDocument(), MsWrd1Parser::createDocument(), MsWrdParser::createDocument(), MultiplanParser::createDocument(), NisusWrtParser::createDocument(), ScriptWriterParser::createDocument(), SpringBoardParser::createDocument(), StudentWritingCParser::createDocument(), WordMakerParser::createDocument(), WriteNowParser::createDocument(), WriterPlsParser::createDocument(), ZWrtParser::createDocument(), MsWksDocument::getPageSpanList(), MacWrtProStructures::updatePageSpan(), ClarisWksDocument::updatePageSpanList(), ClarisWksText::updatePageSpanList(), and DocMkrText::updatePageSpanList().

## setMarginBottom()

void MWAWPageSpan::setMarginBottom | ( | const double | marginBottom | ) |

inline

set the page bottom margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), ClarisWksDocument::getFinalPageSpan(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), GreatWksParser::readDocInfo(), MarinerWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), ZWrtParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## setMarginLeft()

void MWAWPageSpan::setMarginLeft | ( | const double | marginLeft | ) |

inline

set the page left margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), GreatWksParser::readDocInfo(), MarinerWrtParser::readDocInfo(), MsWrd1Parser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), ZWrtParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## setMarginRight()

void MWAWPageSpan::setMarginRight | ( | const double | marginRight | ) |

inline

set the page right margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), ClarisWksDocument::getFinalPageSpan(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), GreatWksParser::readDocInfo(), MarinerWrtParser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), ZWrtParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## setMargins()

void MWAWPageSpan::setMargins | ( | double | margin,
|  | int | wh = libmwaw::LeftBit|libmwaw::RightBit|libmwaw::TopBit|libmwaw::BottomBit )

inline

set all the margins

Referenced by Canvas5BMParser::Canvas5BMParser(), Canvas5Parser::Canvas5Parser(), CanvasParser::CanvasParser(), CricketDrawParser::CricketDrawParser(), DrawTableParser::DrawTableParser(), ActaParser::init(), ApplePictParser::init(), BeagleWksBMParser::init(), BeagleWksDBParser::init(), BeagleWksDRParser::init(), BeagleWksParser::init(), BeagleWksSSParser::init(), ClarisDrawParser::init(), ClarisWksBMParser::init(), ClarisWksParser::init(), ClarisWksPRParser::init(), ClarisWksSSParser::init(), CorelPainterParser::init(), EDocParser::init(), FreeHandParser::init(), FullWrtParser::init(), GreatWksBMParser::init(), GreatWksDBParser::init(), GreatWksDRParser::init(), GreatWksParser::init(), GreatWksSSParser::init(), HanMacWrdJParser::init(), LightWayTxtParser::init(), MacDocParser::init(), MacDraft5Parser::init(), MacDraftParser::init(), MacDrawParser::init(), MacDrawProParser::init(), MacPaintParser::init(), MacWrtParser::init(), MacWrtProParser::init(), MarinerWrtParser::init(), MindWrtParser::init(), MoreParser::init(), MsWksDBParser::init(), MsWksDRParser::init(), MsWksParser::init(), MsWksSSParser::init(), MsWrd1Parser::init(), MsWrdParser::init(), NisusWrtParser::init(), PixelPaintParser::init(), RagTime5Parser::init(), RagTime5SSParser::init(), RagTimeParser::init(), SuperPaintParser::init(), TeachTxtParser::init(), WingzParser::init(), WriteNowParser::init(), WriterPlsParser::init(), ZWrtParser::init(), JazzSSParser::JazzSSParser(), MaxWrtParser::MaxWrtParser(), MultiplanParser::MultiplanParser(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), ReadySetGoParser::ReadySetGoParser(), ScoopParser::ScoopParser(), ScriptWriterParser::ScriptWriterParser(), SpringBoardParser::SpringBoardParser(), StudentWritingCParser::StudentWritingCParser(), StyleParser::StyleParser(), and WordMakerParser::WordMakerParser().

## setMarginTop()

void MWAWPageSpan::setMarginTop | ( | const double | marginTop | ) |

inline

set the page top margin

Referenced by FreeHandParser::checkHeader(), StudentWritingCParser::createDocument(), HanMacWrdKParser::init(), ClarisDrawParser::readDocHeader(), MacWrtProParser::readDocHeader(), FullWrtParser::readDocInfo(), GreatWksParser::readDocInfo(), MarinerWrtParser::readDocInfo(), MsWrd1Parser::readDocInfo(), PowerPoint1Parser::readDocInfo(), PowerPoint3Parser::readDocInfo(), LightWayTxtParser::readDocument(), BeagleWksStructManager::readDocumentInfo(), MoreParser::readDocumentInfo(), MsWrdParser::readDocumentInfo(), MsWks4Zone::readDOP(), MsWrdParser::readHeaderEndV3(), BeagleWksParser::readLastZone(), StyleParser::readMargins(), NisusWrtParser::readPageLimit(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), ZWrtParser::readPrintInfo(), MsWks4Zone::readPRNT(), Canvas5Parser::readSlides(), and DocMkrText::updatePageSpanList().

## setMasterPageName()

void MWAWPageSpan::setMasterPageName | ( | librevenge::RVNGString const & | name | ) |

inline

set the page master name

Referenced by Canvas5Parser::createDocument(), ClarisDrawParser::createDocument(), MacDrawProParser::createDocument(), PowerPoint1Parser::createDocument(), PowerPoint3Parser::createDocument(), PowerPoint7Parser::createDocument(), MacDrawProParser::sendMasterPage(), ReadySetGoGraph::sendMasterPages(), PowerPoint1Parser::sendSlides(), PowerPoint3Parser::sendSlides(), PowerPoint7Parser::sendSlides(), ClarisWksDocument::updatePageSpanList(), and ReadySetGoGraph::updatePageSpanList().

## setPageName()

void MWAWPageSpan::setPageName | ( | librevenge::RVNGString const & | name | ) |

inline

set the page name

Referenced by ClarisDrawParser::createDocument(), MacDraft5Parser::createDocument(), MacDrawProParser::createDocument(), and ClarisWksPresentation::updatePageSpanList().

## setPageNumber()

void MWAWPageSpan::setPageNumber | ( | const int | pageNumber | ) |

inline

set the page number

Referenced by DocMkrText::updatePageSpanList().

## setPageSpan()

void MWAWPageSpan::setPageSpan | ( | const int | pageSpan | ) |

inline

set the page span ( default 1)

Referenced by ActaParser::createDocument(), ApplePictParser::createDocument(), BeagleWksBMParser::createDocument(), BeagleWksDBParser::createDocument(), BeagleWksDRParser::createDocument(), BeagleWksParser::createDocument(), BeagleWksSSParser::createDocument(), Canvas5BMParser::createDocument(), Canvas5Parser::createDocument(), CanvasParser::createDocument(), ClarisDrawParser::createDocument(), CorelPainterParser::createDocument(), CricketDrawParser::createDocument(), DrawTableParser::createDocument(), EDocParser::createDocument(), FreeHandParser::createDocument(), FullWrtParser::createDocument(), GreatWksBMParser::createDocument(), GreatWksDBParser::createDocument(), GreatWksDRParser::createDocument(), GreatWksParser::createDocument(), GreatWksSSParser::createDocument(), HanMacWrdJParser::createDocument(), HanMacWrdKParser::createDocument(), JazzSSParser::createDocument(), JazzWriterParser::createDocument(), LightWayTxtParser::createDocument(), MacDocParser::createDocument(), MacDraft5Parser::createDocument(), MacDraftParser::createDocument(), MacDrawParser::createDocument(), MacDrawProParser::createDocument(), MacPaintParser::createDocument(), MacWrtParser::createDocument(), MarinerWrtParser::createDocument(), MaxWrtParser::createDocument(), MindWrtParser::createDocument(), MoreParser::createDocument(), MouseWrtParser::createDocument(), MsWrd1Parser::createDocument(), MsWrdParser::createDocument(), MultiplanParser::createDocument(), NisusWrtParser::createDocument(), PixelPaintParser::createDocument(), RagTimeParser::createDocument(), ScoopParser::createDocument(), ScriptWriterParser::createDocument(), StudentWritingCParser::createDocument(), StyleParser::createDocument(), SuperPaintParser::createDocument(), TeachTxtParser::createDocument(), WingzParser::createDocument(), WordMakerParser::createDocument(), WriteNowParser::createDocument(), WriterPlsParser::createDocument(), ZWrtParser::createDocument(), MsWksDocument::getPageSpanList(), MWAWGraphicListener::MWAWGraphicListener(), MWAWSpreadsheetListener::MWAWSpreadsheetListener(), MacWrtProStructures::updatePageSpan(), ClarisWksDocument::updatePageSpanList(), ClarisWksDocument::updatePageSpanList(), ClarisWksPresentation::updatePageSpanList(), ClarisWksText::updatePageSpanList(), RagTime5Document::updatePageSpanList(), and ReadySetGoGraph::updatePageSpanList().

## Member Data Documentation

## m_backgroundColor

MWAWColor MWAWPageSpan::m_backgroundColor

private

the page background color: default white

Referenced by backgroundColor(), getPageProperty(), MWAWPageSpan(), and setBackgroundColor().

## m_formLength

double MWAWPageSpan::m_formLength

private

the form length

Referenced by checkMargins(), getFormLength(), getPageLength(), MWAWPageSpan(), operator==(), and setFormLength().

## m_formOrientation

FormOrientation MWAWPageSpan::m_formOrientation

private

the form orientation

Referenced by getFormOrientation(), MWAWPageSpan(), operator==(), and setFormOrientation().

## m_formWidth

double MWAWPageSpan::m_formWidth

private

the form width

Referenced by checkMargins(), getFormWidth(), getPageWidth(), MWAWPageSpan(), operator==(), and setFormWidth().

## m_headerFooterList

std::vector<MWAWHeaderFooter> MWAWPageSpan::m_headerFooterList

private

the list of header

Referenced by containsHeaderFooter(), getHeaderFooterPosition(), MWAWPageSpan(), operator==(), removeHeaderFooter(), sendHeaderFooters(), sendHeaderFooters(), and setHeaderFooter().

## m_margins

double MWAWPageSpan::m_margins[4]

private

the margins: libmwaw::Left, ...

Referenced by checkMargins(), getMarginBottom(), getMarginLeft(), getMarginRight(), getMarginTop(), getPageLength(), getPageWidth(), MWAWPageSpan(), setMarginBottom(), setMarginLeft(), setMarginRight(), setMargins(), and setMarginTop().

## m_masterName

librevenge::RVNGString MWAWPageSpan::m_masterName

private

the page master name

Referenced by getMasterPageName(), hasMasterPageName(), MWAWPageSpan(), and setMasterPageName().

## m_name

librevenge::RVNGString MWAWPageSpan::m_name

private

the page name

Referenced by getPageName(), hasPageName(), MWAWPageSpan(), and setPageName().

## m_pageNumber

int MWAWPageSpan::m_pageNumber

private

the page number ( or -1)

Referenced by getPageNumber(), MWAWPageSpan(), and setPageNumber().

## m_pageSpan

int MWAWPageSpan::m_pageSpan

private

the number of page

Referenced by getPageSpan(), MWAWPageSpan(), and setPageSpan().

The documentation for this class was generated from the following files:

- MWAWPageSpan.hxx
- MWAWPageSpan.cxx